pipeline{
    agent any
    stages{
    stage('Building'){
        
        steps{
       script{
        
  
       try{
            emailext (
            subject: "Job '${env.JOB_NAME}  ${env.BUILD_NUMBER}'",
    body: """<p>${env.JOB_NAME} started</p>""",
    to: "duddukuridivya442@gmail.com",
    from: "duddukuridivya442@gmail.com",
    attachLog:true

        )   
       git credentialsId: 'cedc1960-d2b5-437e-8422-a8d353262352', url: 'https://gitlab.com/divya.duddukuri/javawebapp.git'     
       }
       catch(Exception e){
    emailext (
            subject: "Job '${env.JOB_NAME} ${env.BUILD_NUMBER}'",
    body: """<p>Check console output at <a href="${env.BUILD_URL}">${env.JOB_NAME}</a>${env.$BUILD_LOG}</p>""",
    to: "duddukuridivya442@gmail.com",
    from: "duddukuridivya442@gmail.com",
    attachLog:true

)
       }
       }
            
        }
        
            
        }
        
    /*stage('generating warFile'){
        steps{
        bat "java jar -cvf webapp.war webapp.jsp"
        
        }
    }*/
    stage('Configuration'){
        steps{
        bat "copy webapp.war C:\\apache-tomcat-9.0.46\\webapps\\"
    }
    }
    stage('restart tomcat'){
     steps{
        bat "C:\\apache-tomcat-9.0.46\\bin\\shutdown.bat"
       
        bat "C:\\apache-tomcat-9.0.46\\bin\\startup.bat"
        
    }
    }
    }
    

}

